These are my UXN experiments.

## One Line

A 88x31 image for my personal site footer. Inspired by [aleteoryx](https://aleteoryx.compost.party/button.html).

## 99 Bottles of beer

File: [99_bottles.tal](https://git.sr.ht/~travisshears/uxn-notebook/tree/main/item/99_bottles.tal)

This is my first tal script. I was inspired by an example in the kitten (another
forth based programming language) repo. It prints the lyrics to the song going from "99 bottles of beer on the wall" to none.

Sample output:

```
18 bottles of beer on the wall
18 bottles of beer
take one down, pass it around

17 bottles of beer on the wall
17 bottles of beer
take one down, pass it around

16 bottles of beer on the wall
16 bottles of beer
take one down, pass it around
```

Sources:

- [wiki ref](https://en.wikipedia.org/wiki/99_Bottles_of_Beer)
- [kitten example](https://github.com/evincarofautumn/kitten/blob/129d4bc7e5658a03cc765358ba0a1aba2dbf1c73/examples/beer.ktn)

# Dev

## Compile a tal file to a rom and run it via cli

```shell
./run.sh 99_bottles.tal
```

## Auto compile and run

```shell
$ echo 99_bottles.tal | entr ./run.sh
```

## Edit file using the left editor

```shell
$ ../uxn/bin/uxnemu ../left.rom 99_bottles.tal
```

## Step through debugging with beetbug

```shell
$ echo 99_bottles.rom | entr -r ../uxn/bin/uxnemu ../beetbug.rom ./99_bottles.rom
```
